GET api/poolDepartmentItemapi/poolDepartmentItem/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
PoolDepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| date | date |
Required |
|
| active | boolean |
Required |
|
| department_item_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| quantity | integer |
Required |
Response Formats
application/json, text/json
Sample:
{
"date": "2026-09-25T21:08:46.7197212+00:00",
"active": true,
"department_item_id": "124929ce-1fc6-4d32-8558-704c1bb7480c",
"id": "bbcd3da8-3995-4f05-88e7-807b3266aaa4",
"quantity": 5
}
application/xml, text/xml
Sample:
<pool_department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <date>2026-09-25T21:08:46.7197212+00:00</date> <department_item_id>124929ce-1fc6-4d32-8558-704c1bb7480c</department_item_id> <id>bbcd3da8-3995-4f05-88e7-807b3266aaa4</id> <quantity>5</quantity> </pool_department_item>